
User Interface - Bug #2953

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

WinKeyboardReader should clear the key modifiers when P2J window deactivated by keyboard

(Alt+Tab)

01/12/2016 04:45 PM - Hynek Cihlar

Status: Closed Start date: 01/12/2016

Priority: Normal Due date:  

Assignee: Sergey Ivanovskiy % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 01/12/2016 04:47 PM - Hynek Cihlar

This issue was identified in #2875 note 31. I am copying the notes content here.

I am having a bit of a problem with WinKeyboardReader and the way it processes modifier keys. The case is as follows.

P2J top-level window is activated, Alt+Tab is pressed to activate a non-P2J window, a P2J window is activated again and a key is pressed. The

pressed key event is merged with an Alt modifier by WinKeyboardReader. When Alt+Tab was pressed to deactivate the P2J window, Alt modifier was

stored by WinKeyboardReader and (since there was no key-released event) appplied to the subsequently pressed key.

#2 - 01/12/2016 05:09 PM - Greg Shah

- Project changed from Liberty to User Interface

- Parent task deleted (#2811)

#3 - 01/12/2016 05:10 PM - Greg Shah

- Parent task set to #2677

#4 - 01/12/2016 05:10 PM - Greg Shah

- Target version set to Milestone 12

- Assignee set to Sergey Ivanovskiy

#5 - 01/14/2016 01:39 PM - Sergey Ivanovskiy

- File 10984.txt added

Committed revision 10984 clears the keyboard internal state if a deactivation event happens.

#6 - 01/14/2016 02:20 PM - Greg Shah

Code Review Task Branch 1811t Revision 10984

I'm fine with the change.

Am I correct to assume that we don't need the same feature for the web client?
#7 - 01/14/2016 03:45 PM - Sergey Ivanovskiy

Code Review Task Branch 1811t Revision 10984

I'm fine with the change.

Am I correct to assume that we don't need the same feature for the web client?

 

Correct. The last event is merged with new event but in the case Alt + TAB, the OS default action is invoked.

#8 - 01/25/2016 01:40 PM - Greg Shah

- Status changed from New to Closed

- % Done changed from 0 to 100

#9 - 01/25/2016 03:12 PM - Greg Shah

From Sergey:

Committed revision 10984 is fixed the issue, for the web Alt + Tab can be handled properly because the browser doesn't generate the Tab "keydown"

event.

#10 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

10984.txt 1.71 KB 01/14/2016 Sergey Ivanovskiy
